=== debian/changelog ===
castxml (0.1+git20170823-1) unstable; urgency=medium

  * New upstream version, Closes: #871573
  * d/control: Update my e-mail address
  * d/control: Set standards version 4.1.0, no changes needed
  * d/control, d/rules: Switch to clang-4.0

 -- Gert Wollny <gewo@debian.org>  Thu, 24 Aug 2017 10:25:34 +0000
