=== debian/control ===
Source: castxml
Maintainer: Steve M. Robbins <smr@debian.org>
Uploaders: Gert Wollny <gewo@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               help2man,
               libclang-4.0-dev,
               llvm-4.0-dev,
               libedit-dev,
               zlib1g-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/castxml.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/castxml.git
Homepage: https://github.com/CastXML/CastXML

Package: castxml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C-family abstract syntax tree XML output tool
 Parse C-family source files and optionally write a subset of the
 Abstract Syntax Tree (AST) to a representation in XML.
 This is the successor to gccxml.
