=== debian/changelog ===
castxml (0.1+git20180702-3) unstable; urgency=medium

  * d/rules: Add -latomic to libs on armel, clang requires it

 -- Gert Wollny <gewo@debian.org>  Sat, 01 Dec 2018 19:26:16 +0100

castxml (0.1+git20180702-2) unstable; urgency=medium

  * Update changelog for upload [ci skip]
  * d/control: cme fix dpkg   
     -  add/correct VCS urls   
     - update standards version to 4.1.5 (no changes neede)
  * d/p:0004: add patch series for llvm7 support, Closes: #912561
  * d/p/0002: Update patch

 -- Gert Wollny <gewo@debian.org>  Sat, 01 Dec 2018 16:38:12 +0100

castxml (0.1+git20180702-1) unstable; urgency=medium

  * New upstream version 0.1+git20180702 Closes: #902811
  * d/control: Update standards to 4.1.4 (no changes)
  * d/copyright: Update url to use https
  * d/p/0002: Add description
  * d/p/0003: Fix linking issue with llvm >= 6.0
  * Add CI file
  * d/p: housecleaning

 -- Gert Wollny <gewo@debian.org>  Sun, 01 Jul 2018 17:58:30 +0200

castxml (0.1+git20170823-2) unstable; urgency=medium

  * d/control: Build-dep on llvm default version, Closes: #893405

 -- Gert Wollny <gewo@debian.org>  Mon, 19 Mar 2018 19:49:37 +0100
