=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends: debhelper (>= 10),
                cmake,
                help2man,
-               libclang-4.0-dev,
-               llvm-4.0-dev,
+               libclang-dev,
+               llvm-dev,
                libedit-dev,
                zlib1g-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/castxml.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/castxml.git
+Standards-Version: 4.1.5
 Homepage: https://github.com/CastXML/CastXML
+Vcs-Browser:https://salsa.debian.org/med-team/castxml.git
+Vcs-Git: https://salsa.debian.org/med-team/castxml.git
 
 Package: castxml
 Architecture: any
