## castxml 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,11 +33,7 @@
   set(CastXML_INSTALL_DATA_DIR share/castxml)
 endif()
 if(NOT CastXML_INSTALL_DOC_DIR)
-  if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-    set(CastXML_INSTALL_DOC_DIR share/doc/castxml)
-  else()
-    set(CastXML_INSTALL_DOC_DIR doc/castxml)
-  endif()
+  set(CastXML_INSTALL_DOC_DIR share/doc/castxml)
 endif()
 if(NOT CastXML_INSTALL_MAN_DIR)
   set(CastXML_INSTALL_MAN_DIR man)
