=== src/CMakeLists.txt ===
--- 
+++ 
@@ -45,16 +45,13 @@
   clangBasic
   )
 
-llvm_map_components_to_libnames(llvm_libs
+set(llvm_libs
   native
   option
   bitreader
   support
   ${LLVM_TARGETS_TO_BUILD}
   )
-if(WIN32)
-  list(APPEND llvm_libs version.lib)
-endif()
 
 add_executable(castxml
   castxml.cxx
@@ -65,10 +62,12 @@
   RunClang.cxx RunClang.h
   Utils.cxx Utils.h
   )
-target_link_libraries(castxml
-  ${clang_libs}
-  ${llvm_libs}
-  )
+if(LLVM_LINK_LLVM_DYLIB)
+  set(USE_SHARED USE_SHARED)
+endif()
+llvm_config(castxml ${USE_SHARED} ${llvm_libs})
+target_link_libraries(castxml PRIVATE ${clang_libs})
+
 set_property(SOURCE Utils.cxx APPEND PROPERTY COMPILE_DEFINITIONS
   "CASTXML_INSTALL_DATA_DIR=\"${CastXML_INSTALL_DATA_DIR}\"")
 install(TARGETS castxml DESTINATION ${CastXML_INSTALL_RUNTIME_DIR})
