=== test/CMakeLists.txt ===
--- 
+++ 
@@ -327,6 +327,6 @@
 castxml_test_cmd(rsp-o-missing @${input}/o-missing.rsp)
 
 # Test predefined macros when not using --castxml-cc-<id>.
-math(EXPR __castxml__ "1000000*${CastXML_VERSION_MAJOR} + 1000*${CastXML_VERSION_MINOR} + ${CastXML_VERSION_PATCH}")
 configure_file(expect/cmd.predefined-macros.stdout.txt.in
                expect/cmd.predefined-macros.stdout.txt @ONLY)
+set(castxml_test_cmd_expect ${CMAKE_CURRENT_BINARY_DIR}/expect/cmd.predefined-macros)
