=== debian/changelog ===
castxml (0.2.0-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:13:05 +0100

castxml (0.2.0-4) unstable; urgency=medium

  [ Gert Wollny ]
  * d/control: Use llvm-9-dev and also use libclang-9-dev to 
    fix problems with g++-9 
  * d/p/0003: Add patch to fix expected output with llvm-9

 -- Gert Wollny <gewo@debian.org>  Thu, 14 Nov 2019 07:59:52 +0100

castxml (0.2.0-3) unstable; urgency=medium

  [ Steven Robbins ]
  * Fix mipsel build by linking with libatomic.

 -- Steve M. Robbins <smr@debian.org>  Sat, 19 Oct 2019 14:37:05 -0500

castxml (0.2.0-2) unstable; urgency=medium

  * upload to unstable

 -- Steve M. Robbins <smr@debian.org>  Tue, 15 Oct 2019 23:34:11 -0500

castxml (0.2.0-1) experimental; urgency=medium

  * s/watch Add watch file
  * New upstream version 0.2.0 Closes: #927891
  * d/p/* Update patches

 -- Gert Wollny <gewo@debian.org>  Sat, 27 Apr 2019 13:07:24 +0200
