=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 10),
                cmake,
                help2man,
-               libclang-dev,
-               llvm-dev,
+               libclang-9-dev,
+               llvm-9-dev,
                libedit-dev,
                zlib1g-dev
 Standards-Version: 4.1.5
