=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# clang pulls in atomics that require an extra library on armel 
+ifeq ($(DEB_HOST_ARCH),armel)
+export DEB_LDFLAGS_MAINT_APPEND=-latomic
+endif 
+
 
 CMAKE_FLAGS = -DCastXML_INSTALL_DOC_DIR:STRING=/usr/share/doc/castxml \
               -DLLVM_DIR=/usr/lib/llvm-4.0/cmake
