=== debian/watch ===
version=3

# Uncomment to find new files on Github
#  - when using releases:
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/castxml-$1\.tar\.gz/  \
https://github.com/CastXML/CastXML/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
