=== debian/changelog ===
castxml (0.3.3-3) unstable; urgency=medium

  * d/p/0004: Disable failing MSVC test

 -- Gert Wollny <gewo@debian.org>  Sun, 26 Apr 2020 16:59:36 +0200

castxml (0.3.3-2) unstable; urgency=medium

  * d/p/0003: re-add libatomic patch

 -- Gert Wollny <gewo@debian.org>  Sun, 26 Apr 2020 16:03:26 +0200

castxml (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
  * d/p: Update patches

 -- Gert Wollny <gewo@debian.org>  Sun, 26 Apr 2020 14:08:18 +0200
