## castxml 0.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
-#     http://www.apache.org/licenses/LICENSE-2.0
+#     https://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
@@ -13,7 +13,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 #=============================================================================
-cmake_minimum_required(VERSION 2.8.5)
+cmake_minimum_required(VERSION 3.3)
 project(CastXML)
 
 include(src/Version.cmake)
@@ -37,22 +37,6 @@
 endif()
 if(NOT CastXML_INSTALL_MAN_DIR)
   set(CastXML_INSTALL_MAN_DIR man)
-endif()
-
-if(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
-  if(NOT LLVM_ENABLE_EH)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-exceptions")
-  endif()
-  if(NOT LLVM_ENABLE_RTTI)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti")
-  endif()
-  if(CYGWIN OR MINGW)
-    # Use GNU extensions on Windows as LLVM upstream does.
-    set(std_cxx11 "-std=gnu++11")
-  else()
-    set(std_cxx11 "-std=c++11")
-  endif()
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${std_cxx11}")
 endif()
 
 macro(hint_clang_from_llvm)
@@ -82,6 +66,10 @@
 # Build scripts may set either LLVM_DIR or Clang_DIR.
 hint_llvm_from_clang()
 hint_clang_from_llvm()
+
+# If several LLVM versions provide CMake packages, try to use the latest one.
+set(CMAKE_FIND_PACKAGE_SORT_ORDER NATURAL)
+set(CMAKE_FIND_PACKAGE_SORT_DIRECTION DEC)
 
 # Clang 3.8+ installs its own CMake package.  Try it first.
 find_package(Clang QUIET)
@@ -123,6 +111,26 @@
     "that does not have `clang/` headers in any include directory:\n"
     "${tried_clang}"
     )
+endif()
+
+if(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
+  if(NOT LLVM_ENABLE_EH)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-exceptions")
+  endif()
+  if(NOT LLVM_ENABLE_RTTI)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti")
+  endif()
+endif()
+if(CYGWIN OR MINGW)
+  # Use GNU extensions on Windows as LLVM upstream does.
+  set(CMAKE_CXX_EXTENSIONS ON)
+else()
+  set(CMAKE_CXX_EXTENSIONS OFF)
+endif()
+if(LLVM_VERSION_MAJOR GREATER 9)
+  set(CMAKE_CXX_STANDARD 14)
+else()
+  set(CMAKE_CXX_STANDARD 11)
 endif()
 
 add_definitions(${LLVM_DEFINITIONS})
