=== debian/changelog ===
castxml (0.3.4-2) unstable; urgency=medium

  * Team upload
  * d/control: bump llvm requirements to version 10, to help address 957360
    affecting insighttoolkit4.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Tue, 04 Aug 2020 20:02:34 +0200

castxml (0.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 02 Aug 2020 19:30:30 +0200
