=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Gert Wollny <gewo@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                help2man,
-               libclang-9-dev,
-               llvm-9-dev,
+               libclang-10-dev,
+               llvm-10-dev,
                libedit-dev,
                zlib1g-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Homepage: https://github.com/CastXML/CastXML
-Vcs-Browser:https://salsa.debian.org/med-team/castxml.git
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/med-team/castxml
 Vcs-Git: https://salsa.debian.org/med-team/castxml.git
 
 Package: castxml
