=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# clang pulls in atomics that require an extra library on armel 
+# clang pulls in atomics that require an extra library on armel
 ifeq ($(DEB_HOST_ARCH),armel)
 export DEB_LDFLAGS_MAINT_APPEND=-latomic
-endif 
+endif
 
 
 CMAKE_FLAGS = -DCastXML_INSTALL_DOC_DIR:STRING=/usr/share/doc/castxml \
@@ -20,4 +20,3 @@
 override_dh_installman:
 	help2man -n "Create an XML representation of C++ declarations" --no-info debian/castxml/usr/bin/castxml  > castxml.1
 	dh_installman castxml.1
-
