## castxml 0.3.6

=== debian/changelog ===
castxml (0.3.6-2ubuntu1) jammy; urgency=medium

  * Switch to LLVM/Clang 13
  * Tolerate GNU __attribute__((__malloc__)) with
    arguments for glibc 2.34

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 15 Feb 2022 13:59:00 +0000

castxml (0.3.6-2) unstable; urgency=medium

  * d/control: update to clang-11, Closes: #974782
  * d/control: cme fix dpkg

 -- Gert Wollny <gewo@debian.org>  Sat, 05 Dec 2020 23:37:22 +0100

castxml (0.3.6-1) unstable; urgency=medium

  * New upstream version 0.3.6

 -- Gert Wollny <gewo@debian.org>  Thu, 12 Nov 2020 12:51:55 +0100
