=== test/CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,8 @@
     endif()
   endif()
 
+  set(_schema "${CastXML_SOURCE_DIR}/doc/manual/castxml.xsd")
+
   set(command $<TARGET_FILE:castxml>
     ${flag}
     ${_castxml_start}
@@ -82,6 +84,7 @@
     "-Dexpect=${_castxml_expect}"
     "-Dxml=${prefix}.${std}.${test}.xml"
     "-Dxmllint=${LIBXML2_XMLLINT_EXECUTABLE}"
+    "-Dschema=${_schema}"
     -P ${CMAKE_CURRENT_SOURCE_DIR}/run.cmake
     )
 endmacro()
@@ -329,4 +332,3 @@
 # Test predefined macros when not using --castxml-cc-<id>.
 configure_file(expect/cmd.predefined-macros.stdout.txt.in
                expect/cmd.predefined-macros.stdout.txt @ONLY)
-set(castxml_test_cmd_expect ${CMAKE_CURRENT_BINARY_DIR}/expect/cmd.predefined-macros)
