=== debian/changelog ===
castxml (0.4.4-1) unstable; urgency=medium

  [ Gert Wollny ]
  * d/ci: delete created files

  [ Étienne Mollier ]
  * New upstream version 0.4.4.  (Closes: #1005805)
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)
  * d/control: bump build dependency to llvm 13  (Closes: #1000931)
  * d/copyright: bump copyright years
  * d/copyright: remove reference to src/kwsys/* files
  * d/control: add myself to uploaders
  * d/control: set Debian Med as maintainer and move Steve to uploaders.
    Thanks Steve M. Robbins for the original packaging!

 -- Étienne Mollier <emollier@debian.org>  Tue, 15 Feb 2022 20:36:32 +0100
