=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: castxml
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steve M. Robbins <smr@debian.org>
-Uploaders: Gert Wollny <gewo@debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Steve M. Robbins <smr@debian.org>,
+           Gert Wollny <gewo@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +12,7 @@
                llvm-13-dev,
                libedit-dev,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/castxml
 Vcs-Git: https://salsa.debian.org/med-team/castxml.git
 Homepage: https://github.com/CastXML/CastXML
