=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 endif
 
 
-CMAKE_FLAGS = -DCastXML_INSTALL_DOC_DIR:STRING=/usr/share/doc/castxml \
-              -DLLVM_DIR=/usr/lib/llvm-4.0/cmake
+CMAKE_FLAGS = -DCastXML_INSTALL_DOC_DIR:STRING=/usr/share/doc/castxml
 
 %:
 	dh $@
