## castxml 0.4.5

=== debian/changelog ===
castxml (0.4.5-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Tue, 05 Apr 2022 20:36:27 +0200
