=== debian/changelog ===
castxml (0.4.6-2) unstable; urgency=medium

  * d/watch: switch to git mode; fixes breakage of releases scan on Github.
  * d/control: append missing b-d following llvm packages reorganisation.

 -- Étienne Mollier <emollier@debian.org>  Wed, 12 Oct 2022 20:57:59 +0200

castxml (0.4.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * d/control: bump build-depends to llvm toolchain 14. (Closes: #1017668)

 -- Étienne Mollier <emollier@debian.org>  Sun, 04 Sep 2022 14:26:58 +0200
