=== debian/control ===
--- 
+++ 
@@ -8,11 +8,17 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                help2man,
-               libclang-13-dev,
-               llvm-13-dev,
+               libclang-14-dev,
+               llvm-14-dev,
+               libmlir-14-dev,
+               mlir-14-tools,
+               clang-tools-14,
+               clang-format-14,
+               clang-tidy-14,
+               clangd-14,
                libedit-dev,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/castxml
 Vcs-Git: https://salsa.debian.org/med-team/castxml.git
 Homepage: https://github.com/CastXML/CastXML
