## castxml 0.4.8

=== debian/changelog ===
castxml (0.4.8-1) unstable; urgency=medium

  [ Lance Lin ]
  * Team upload.
  * New upstream version

  [ Andreas Tille ]
  * Remove d/.gitlab-ci.yml

 -- Lance Lin <lqi254@protonmail.com>  Wed, 23 Nov 2022 21:39:59 +0700
