=== debian/changelog ===
castxml (0.5.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 07 Jan 2023 17:52:35 +0100
