## castxml 0.6.1

=== debian/changelog ===
castxml (0.6.1-1) unstable; urgency=medium

  [ Steve Robbins ]
  * Remove myself from uploaders.

  [ Étienne Mollier ]
  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Jul 2023 10:25:47 +0200
