=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: castxml
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steve M. Robbins <smr@debian.org>,
-           Gert Wollny <gewo@debian.org>,
+Uploaders: Gert Wollny <gewo@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: devel
 Priority: optional
